> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update a user.



## OpenAPI

````yaml /api/iam/api/user.openapi.json patch /v1/users/{user}
openapi: 3.1.0
info:
  title: Confidence User API
  version: 1.0.0
  description: API documentation for user
servers: []
security: []
paths:
  /v1/users/{user}:
    patch:
      summary: Update User
      description: Update a user.
      operationId: User.update
      parameters:
        - name: user
          in: path
          required: true
          schema:
            type: string
        - name: updateMask
          in: query
          required: false
          description: |-
            The list of fields to update.
             Fields are specified relative to the user
             (e.g. `labels`; *not* `user.labels`).
          schema:
            type: object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the user on the form `users/{"<"}id{">"}`.
                fullName:
                  type: string
                  description: Full name of the user like John Doe.
                givenName:
                  type: string
                  description: Given name of the user like John.
                familyName:
                  type: string
                  description: Family name of the user like Doe.
                externalId:
                  type: string
                  description: External identifier of the user
                username:
                  type: string
                  description: Username of the user
                email:
                  type: string
                  description: E-mail of the user.
                pictureUri:
                  type: string
                  description: |2-

                     Profile picture URI if exists, otherwise empty.
                labels:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: string
                  description: General labels for this resource.
              required:
                - fullName
                - email
        required: true
      responses:
        '200':
          description: Returns a [User](/api-reference/schemas/user).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.User'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.User:
      title: User
      type: object
      description: |2-

         A Confidence user.
      properties:
        name:
          type: string
          description: Name of the user on the form `users/{"<"}id{">"}`.
        fullName:
          type: string
          description: Full name of the user like John Doe.
        givenName:
          type: string
          description: Given name of the user like John.
        familyName:
          type: string
          description: Family name of the user like Doe.
        externalId:
          type: string
          description: External identifier of the user
        scimExternalId:
          type: string
          description: External identifier of the user if set over scim
        username:
          type: string
          description: Username of the user
        email:
          type: string
          description: E-mail of the user.
        pictureUri:
          type: string
          description: |2-

             Profile picture URI if exists, otherwise empty.
        lastLoginTime:
          type: object
          description: Time of last login.
        blocked:
          type: boolean
          description: Indicator of whether the user is blocked from logging in.
        slackUserInfo:
          type: object
          properties:
            user:
              type: string
              description: The slack user id.
            team:
              type: string
              description: The slack team id.
            picture:
              type: string
              description: The URL to the slack profile picture.
          required:
            - user
            - team
          description: The slack user info for the user if any.
        createTime:
          type: object
          description: Time when the user was first created.
        updateTime:
          type: object
          description: Time when the user was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        identity:
          type: string
          description: Reference to the identity this user represents.
        deleteTime:
          type: object
          description: Time when the user was deleted.
      required:
        - fullName
        - email
        - createTime
        - updateTime
        - identity
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````